Index: src/Fragmentation/Automation/Makefile.am
===================================================================
--- src/Fragmentation/Automation/Makefile.am	(revision 95454a7757cb2e73de8ed370a8d7b2ea5103e000)
+++ src/Fragmentation/Automation/Makefile.am	(revision 8d79174ee7e684f7d49d96da0e0f64d0f820c4e9)
@@ -42,8 +42,5 @@
   $(BOOST_IOSTREAMS_LDFLAGS) $(BOOST_IOSTREAMS_LIBS)
 
-FRAGMENTATIONAUTOMATIONSOURCE = \
-  atexit.cpp \
-  Controller/CommandRegistry.cpp \
-  Controller/FragmentController.cpp \
+FRAGMENTATIONCOMMANDSSOURCE = \
   Controller/Commands/CheckResultsOperation.cpp \
   Controller/Commands/GetNextJobIdOperation.cpp \
@@ -52,12 +49,8 @@
   Controller/Commands/SendResultsOperation.cpp \
   Controller/Commands/ShutdownOperation.cpp \
-  GlobalJobId.cpp
+  Controller/Commands/WorkOnJobOperation.cpp
 
-FRAGMENTATIONAUTOMATIONHEADER = \
-  atexit.hpp \
-  Connection.hpp \
+FRAGMENTATIONCOMMANDSHEADER = \
   ControllerChoices.hpp \
-  Controller/CommandRegistry.hpp \
-  Controller/FragmentController.hpp \
   Controller/Commands/CheckResultsOperation.hpp \
   Controller/Commands/GetNextJobIdOperation.hpp \
@@ -66,10 +59,25 @@
   Controller/Commands/SendResultsOperation.hpp \
   Controller/Commands/ShutdownOperation.hpp \
+  Controller/Commands/WorkOnJobOperation.hpp
+
+noinst_LTLIBRARIES += libMolecuilderFragmentationCommands.la
+libMolecuilderFragmentationCommands_la_includedir = $(includedir)/MoleCuilder/Fragmentation/Automation/
+nobase_libMolecuilderFragmentationCommands_la_include_HEADERS = $(FRAGMENTATIONCOMMANDSHEADER)
+libMolecuilderFragmentationCommands_la_CXXFLAGS = ${BOOST_CPPFLAGS} ${CodePatterns_CFLAGS} $(BOOST_ASIO_DEBUG)
+libMolecuilderFragmentationCommands_la_SOURCES = $(FRAGMENTATIONCOMMANDSSOURCE)
+
+FRAGMENTATIONAUTOMATIONHELPERSOURCE = \
+  atexit.cpp \
+  GlobalJobId.cpp
+
+FRAGMENTATIONAUTOMATIONHELPERHEADER = \
+  atexit.hpp \
   GlobalJobId.hpp
 
-noinst_LTLIBRARIES += libMolecuilderFragmentationAutomation.la
-libMolecuilderFragmentationAutomation_la_includedir = $(includedir)/MoleCuilder/Fragmentation/Automation/
-nobase_libMolecuilderFragmentationAutomation_la_include_HEADERS = $(FRAGMENTATIONAUTOMATIONHEADER)
-libMolecuilderFragmentationAutomation_la_SOURCES = $(FRAGMENTATIONAUTOMATIONSOURCE)
+noinst_LTLIBRARIES += libMolecuilderFragmentationAutomationHelper.la
+libMolecuilderFragmentationAutomationHelper_la_includedir = $(includedir)/MoleCuilder/Fragmentation/Automation/
+nobase_libMolecuilderFragmentationAutomationHelper_la_include_HEADERS = $(FRAGMENTATIONAUTOMATIONHELPERHEADER)
+libMolecuilderFragmentationAutomationHelper_la_CXXFLAGS = ${BOOST_CPPFLAGS} ${CodePatterns_CFLAGS}
+libMolecuilderFragmentationAutomationHelper_la_SOURCES = $(FRAGMENTATIONAUTOMATIONHELPERSOURCE)
 
 include unittests/Makefile.am
@@ -80,8 +88,12 @@
 bin_PROGRAMS += Controller Server Worker
 
-CONTROLLERSOURCE =
+CONTROLLERSOURCE = \
+  Controller/CommandRegistry.cpp \
+  Controller/FragmentController.cpp
 
 CONTROLLERHEADER = \
-  FragmentController.hpp
+  Connection.hpp \
+  Controller/CommandRegistry.hpp \
+  Controller/FragmentController.hpp
 
 SERVERSOURCE = \
@@ -96,5 +108,4 @@
 
 WORKERSOURCE = \
-  Controller/Commands/WorkOnJobOperation.cpp \
   FragmentWorker.cpp \
   Worker.cpp
@@ -102,5 +113,4 @@
 WORKERHEADER = \
   Connection.hpp \
-  Controller/Commands/WorkOnJobOperation.hpp \
   FragmentWorker.hpp
 
@@ -109,5 +119,6 @@
 Controller_CXXFLAGS = $(AM_CPPFLAGS)
 Controller_LDADD = \
-  libMolecuilderFragmentationAutomation.la \
+  libMolecuilderFragmentationAutomationHelper.la \
+  libMolecuilderFragmentationCommands.la \
   libMolecuilderFragmentJobs.la \
   $(BOOST_ASIO_LIBS) \
@@ -121,5 +132,6 @@
 Server_CXXFLAGS = $(AM_CPPFLAGS)
 Server_LDADD = \
-  libMolecuilderFragmentationAutomation.la \
+  libMolecuilderFragmentationAutomationHelper.la \
+  libMolecuilderFragmentationCommands.la \
   libMolecuilderFragmentJobs.la \
   $(BOOST_ASIO_LIBS) \
@@ -133,5 +145,6 @@
 Worker_CXXFLAGS = $(AM_CPPFLAGS)
 Worker_LDADD = \
-  libMolecuilderFragmentationAutomation.la \
+  libMolecuilderFragmentationAutomationHelper.la \
+  libMolecuilderFragmentationCommands.la \
   libMolecuilderFragmentJobs.la \
   $(BOOST_ASIO_LIBS) \
